Subject: Re: [Detnet] Draft DetNet Charter

From: "Norman Finn (nfinn)" <[email-masked]>
Date: Wed, 2 Sep 2015 22:22:25 +0000

I agree with your understanding, Ethan.  To date, in the work in IEEE and in IETF (RSVP), unused but reserved data plane bandwidth is available for best-effort traffic, but not for other reservations.  Not clear it needs to be in the charter, but certainly it should be mentioned in the architecture.

— Norm

From: detnet <[email-masked]<mailto:[email-masked]>> on behalf of "Grossman, Ethan A." <[email-masked]<mailto:[email-masked]>>
Date: Friday, August 28, 2015 at 15:15 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Detnet] Draft DetNet Charter

Hi Folks,
I think the draft charter looks really good, and hits the right points. I have a question about this phrase:

"...and 2) release/reuse the resources when they are no more required..."

One of the concerns about AVB/TSN (and "reserved bandwidth" schemes in general) that I heard from our IT guys, in the context of a corporate network, was that "once users reserved bandwidth for the streams they wanted, when they were "done" they would never get around to tearing the streams down, and so that bandwidth would remain unusable by others on the network".

My understanding is that reserved bandwidth with AVB/TSN is only used when traffic is actually flowing on the stream, leaving the bandwidth available for best effort traffic. It seems to me that to head off this objection, this point could be somehow communicated in this phrase, unless in DETNET that is not the case; for example if the network reserves channels for TSN traffic that are "permanently" allocated, and traffic from various streams is directed over those channels, then the two reservations are "decoupled" and the available reseerved bandwidth is limited only in the aggregate.

But going back to the LAN case, I suppose such "stale" reserved bandwidth would prevent others from reserving that bandwidth, so there might be some element of validity in the stated concern? Do we have to deal with that issue, and if so can we somehow include our intent in the charter? Or maybe this is too low a level of detail?

Another note on the quote above: if we keep this phrase, then grammatically it should read "...no longer required..." (not "no more required").

Best,
Ethan.

Ethan Grossman
Dolby Laboratories